# -----------------------------------------------------------------------
# Radar emission warner.

# main funtion  -------------------------------------------------

warner=func
{
	warner_node=props.globals.getNode("fdm/jsbsim/systems/warner");
	var inputs_array=[0,	0,	0,	0,	0,	0,	0];
	if ((warner_node.getNode("on").getValue()	!=	0) and
		(warner_node.getNode("serviceable").getValue()	!=	0))
	{
		var sights_array=mpclash.check_sights();
		for (i=0; i<size(sights_array); i+=1)
		{
			emission_deg=mpclash.deg_in_range(sights_array[i]-
				props.globals.getNode("orientation/heading-deg").getValue());
			if ((emission_deg > 330) or (emission_deg <= 30))
			{
				inputs_array[0]=1;
			}
			if ((emission_deg > 30) and (emission_deg <= 90))
			{
				inputs_array[3]=1;
			}
			if ((emission_deg > 90) and (emission_deg <= 150))
			{
				inputs_array[4]=1;
			}
			if ((emission_deg > 150) and (emission_deg <= 210))
			{
				inputs_array[1]=1;
			}
			if ((emission_deg > 210) and (emission_deg <= 270))
			{
				inputs_array[5]=1;
			}
			if ((emission_deg > 270) and (emission_deg <= 330))
			{
				inputs_array[2]=1;
			}
		}
		
		var	objects_sights_hash=mpclash.check_objects_sights();
		for (i=0; i<size(objects_sights_hash.course_to_deg); i+=1)
		{
			if (((objects_sights_hash.pitch_from_deg[i] > -45)	and
					(objects_sights_hash.pitch_from_deg[i] < 45))	and
					((objects_sights_hash.yaw_from_deg[i] > -45) or
					(objects_sights_hash.yaw_from_deg[i] < 45)) and
					((objects_sights_hash.pitch_to_deg[i] > -30)	and
					(objects_sights_hash.pitch_to_deg[i] < 30)))
			{
				emission_deg=mpclash.deg_in_range(objects_sights_hash.course_to_deg[i]-
					props.globals.getNode("orientation/heading-deg").getValue());
				if ((emission_deg > 330) or (emission_deg <= 30))
				{
					inputs_array[0]=2;
				}
				if ((emission_deg > 30) and (emission_deg <= 90))
				{
					inputs_array[3]=2;
				}
				if ((emission_deg > 90) and (emission_deg <= 150))
				{
					inputs_array[4]=2;
				}
				if ((emission_deg > 150) and (emission_deg <= 210))
				{
					inputs_array[1]=2;
				}
				if ((emission_deg > 210) and (emission_deg <= 270))
				{
					inputs_array[5]=2;
				}
				if ((emission_deg > 270) and (emission_deg <= 330))
				{
					inputs_array[2]=2;
				}
			}
		}
	}
	warner_node.getNode("inputs/front").setValue(inputs_array[0]);
	warner_node.getNode("inputs/back").setValue(inputs_array[1]);
	warner_node.getNode("inputs/one").setValue(inputs_array[2]);
	warner_node.getNode("inputs/two").setValue(inputs_array[3]);
	warner_node.getNode("inputs/three").setValue(inputs_array[4]);
	warner_node.getNode("inputs/four").setValue(inputs_array[5]);

	settimer(func warner(), 0.2);
}

# initialisation  -------------------------------------------------

warner();
